/** ================================= 报表 - 敞口报表 ================================**/

import { getUsrId } from '@/services/bus/user';
import { commonSearch_go } from '@/services/go/index';
import * as type from './interface';

/**
 * 查询敞口日报表(菜单:报表查询/敞口报表/敞口日报表)
 * @param tradedate 交易日(格式:yyyyMMdd)
 * @returns 敞口日报表
 */
export async function QueryExposureDayReport(tradedate: string): Promise<type.QueryExposureDayReportRsp[]> {
    const userid = getUsrId()
    return commonSearch_go('/Ermcp/QryReportDayExposure', { tradedate, userid }).catch(err => {
        throw new Error(`查询敞口日报表: ${err}`);
    });

}
